.footer {
  overflow: hidden;
}

.footer-cta {
  padding-inline: 20px;
}

.footer-cta__boxs {
  display: grid;
  gap: 10px;
  grid-template-columns: repeat(1, 1fr);
  margin-inline: auto;
}

.footer-cta__box {
  align-items: center;
  border-radius: 10px;
  color: #fff;
  display: flex;
  flex-direction: column;
  height: 311px;
  padding: 40px 20px;
}
.footer-cta__box > img {
  aspect-ratio: 1/1;
  height: 66px;
  -o-object-fit: contain;
     object-fit: contain;
  overflow: hidden;
  width: 66px;
}

.footer-cta__box--tel {
  background-image: linear-gradient(126deg, #cdd5e8, #007f9d);
}

.footer-cta__box--mail {
  background-image: linear-gradient(126deg, #cde8e8, #00939d);
}

.footer-cta__box--line {
  background-image: linear-gradient(126deg, #a3e5c9, #3cb152);
}

.footer-cta__title {
  font-family: "Josefin Sans", sans-serif;
  font-size: 28px;
  font-weight: 600;
  line-height: 1;
  margin-top: 26px;
}

.footer-cta__label {
  font-size: 12px;
  font-weight: 600;
  line-height: calc(17 / 12);
  margin-top: 2px;
}

.footer-cta__link {
  display: flex;
  justify-content: center;
  margin-top: 37px;
  width: 100%;
}

.footer-cta__tel {
  font-family: "Josefin Sans", sans-serif;
  font-size: 28px;
  font-weight: 600;
  line-height: 1;
  text-decoration: underline;
}
.footer-cta__tel:hover {
  text-decoration: underline;
}

.footer-cta__notes {
  font-size: 11px;
  font-weight: normal;
  line-height: calc(16 / 11);
  margin-top: 5px;
}

.footer__wrap {
  background: url(../images/footer_bg.jpg) no-repeat center center/cover;
  margin-top: 60px;
  position: relative;
}

.footer__bg {
  aspect-ratio: 605/352;
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 110%;
  z-index: 1;
}

.footer-sitemap {
  align-items: center;
  display: flex;
  flex-direction: column;
  padding-bottom: 135px;
  padding-inline: 20px;
  position: relative;
  z-index: 2;
}

.footer-sitemap__list {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 28px;
  justify-content: center;
}

.footer-sitemap__item {
  font-size: 14px;
  font-weight: 500;
  line-height: calc(20 / 14);
}
.footer-sitemap__logo {
  aspect-ratio: 71/88;
  display: block;
  margin-top: 21px;
  width: 71px;
}

.footer-sitemap__info {
  align-items: center;
  display: flex;
  flex-direction: column;
  font-size: 13px;
  font-weight: normal;
  margin-top: 13px;
  opacity: 0.8;
}

.footer-pagetop {
  bottom: 100px;
  display: block;
  height: 80px;
  position: absolute;
  right: 20px;
  width: 80px;
  z-index: 3;
}
.footer-pagetop img {
  -o-object-fit: contain;
     object-fit: contain;
}

.footer-copy {
  border-top: solid 1px rgba(0, 147, 157, 0.3);
  padding-bottom: 20px;
  padding-inline: 20px;
  padding-top: 20px;
}
.footer-copy p {
  font-size: 11px;
  font-weight: normal;
  line-height: calc(16 / 11);
  margin-inline: auto;
  max-width: 1046px;
}
@media (min-width: 1024px) {
  .footer-cta__boxs {
    gap: 20px;
    grid-template-columns: repeat(3, 1fr);
    max-width: 100%;
  }
  .footer__bg {
    width: 605px;
  }
  .footer-sitemap {
    padding-bottom: 80px;
    padding-top: 120px;
  }
  .footer-sitemap__info {
    flex-direction: row;
    gap: 21px;
  }
  .footer-pagetop {
    height: 102px;
    width: 102px;
  }
  .footer-copy {
    padding-bottom: 40px;
  }
}